net.sf.okapi.common.annotation

## Class GenericAnnotationType

- java.lang.Object
- - net.sf.okapi.common.annotation.GenericAnnotationType

-     public class GenericAnnotationType
      extends java.lang.Object

  Types of Generic annotation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALLOWEDCHARS` Annotation identifier for the ITS Allowed Characters data category.
    `static java.lang.String` | `ALLOWEDCHARS_VALUE` Allowed characters: a string that is a regular expression (restricted to a small sub-set common to several engines.).
    `static java.lang.String` | `ANNOT` Annotation identifier for the ITS annotators references.
    `static java.lang.String` | `ANNOT_VALUE` Annotators references: a string in the format of a space delimited pairs of data category identifier and IRI (separated by a character '|').
    `static java.lang.String` | `ANNOTATORREF` A single annotator reference: a string IRI.
    `static java.lang.String` | `DISPLAYTEXT` Annotation identifier for display text for inline code (hint displayed to end-user).
    `static java.lang.String` | `DISPLAYTEXT_VALUE` Display text: a string.
    `static java.lang.String` | `DOMAIN` Annotation identifier for the ITS Domain data category.
    `static java.lang.String` | `DOMAIN_VALUE` Domain value(s): a string in the format of a comma-separated list of values.
    `static java.lang.String` | `EXTERNALRES` Annotation identifier for the ITS External resource data category.
    `static java.lang.String` | `EXTERNALRES_VALUE` Reference: a string IRI.
    `static java.lang.String` | `GENERIC` Label to use for a generic annotation set (e.g.
    `static java.lang.String` | `LANG` Annotation identifier for the Language Information data category.
    `static java.lang.String` | `LANG_VALUE` Language information: a string which is the language code.
    `static java.lang.String` | `LOCFILTER` Annotation identifier for the ITS Locale Filter data category.
    `static java.lang.String` | `LOCFILTER_VALUE` Locale filter list: a string in the format of an optional '!' followed by a comma separated list of locale BCP47 codes.
    `static java.lang.String` | `LOCNOTE` Annotation identifier for the ITS Localization Note data category.
    `static java.lang.String` | `LOCNOTE_TYPE` Localization note type: a string "alert" or "description".
    `static java.lang.String` | `LOCNOTE_VALUE` Localization note value: a string.
    `static java.lang.String` | `LQI` Annotation identifier for the ITS Localization Quality Issue data category.
    `static java.lang.String` | `LQI_COMMENT` Issue comment: a string.
    `static java.lang.String` | `LQI_ENABLED` Enabled flag: a boolean.
    `static java.lang.String` | `LQI_ISSUESREF` Issues reference: a string IRI.
    `static java.lang.String` | `LQI_PROFILEREF` Profile reference: a string IRI.
    `static java.lang.String` | `LQI_SEVERITY` Severity: a double between 0.0 and 100.0
    `static java.lang.String` | `LQI_TYPE` Issue type: a string (values limited to the set define in the table at http://www.w3.org/TR/its20/#lqissue-typevalues).
    `static java.lang.String` | `LQI_XCODES`
    `static java.lang.String` | `LQI_XEND`
    `static java.lang.String` | `LQI_XSEGID`
    `static java.lang.String` | `LQI_XSTART`
    `static java.lang.String` | `LQI_XTRGEND`
    `static java.lang.String` | `LQI_XTRGSTART`
    `static java.lang.String` | `LQI_XTYPE`
    `static java.lang.String` | `LQR` Annotation identifier for the ITS Localization Quality Rating data category.
    `static java.lang.String` | `LQR_PROFILEREF` Profile reference: a string IRI.
    `static java.lang.String` | `LQR_SCORE` Score: a double between 0.0 and 100.0
    `static java.lang.String` | `LQR_SCORETHRESHOLD` Score threshold: a double between 0.0 and 100.0
    `static java.lang.String` | `LQR_VOTE` Vote: a signed integer.
    `static java.lang.String` | `LQR_VOTETHRESHOLD` Vote threshold: a signed integer.
    `static java.lang.String` | `MTCONFIDENCE` Annotation identifier for the ITS MT Confidence data category.
    `static java.lang.String` | `MTCONFIDENCE_VALUE` MT confidence: a double between 0 and 1.
    `static java.lang.String` | `PRESERVEWS` Annotation identifier for the Preserve Space data category.
    `static java.lang.String` | `PRESERVEWS_INFO` Preserve space: a string 'preserve' or 'default'.
    `static java.lang.String` | `PROV` Annotation identifier for the ITS Provenance data category.
    `static java.lang.String` | `PROV_ORG` Organizational translation provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
    `static java.lang.String` | `PROV_PERSON` Human translation provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
    `static java.lang.String` | `PROV_PROVREF` Provenance reference: A IRI string pointing to an external provenance information set.
    `static java.lang.String` | `PROV_RECSREF` Records reference: a IRI string.
    `static java.lang.String` | `PROV_REVORG` Organizational revision provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
    `static java.lang.String` | `PROV_REVPERSON` Human revision provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
    `static java.lang.String` | `PROV_REVTOOL` Tool revision provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
    `static java.lang.String` | `PROV_TOOL` Tool translation provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
    `static java.lang.String` | `REF_PREFIX` Prefix used to indicate a reference value.
    `static java.lang.String` | `STORAGESIZE` Annotation identifier for the ITS Storage Size data category.
    `static java.lang.String` | `STORAGESIZE_ENCODING` Storage encoding: a string representing a IANA character set name.
    `static java.lang.String` | `STORAGESIZE_LINEBREAK` Linebreak type: a string "cr", "lf" or "crlf".
    `static java.lang.String` | `STORAGESIZE_SIZE` Storage size: an unsigned integer.
    `static java.lang.String` | `TA` Annotation identifier for the ITS Text Analysis data category.
    `static java.lang.String` | `TA_CLASS`
    `static java.lang.String` | `TA_CONFIDENCE` Confidence: a double between 0 and 1.
    `static java.lang.String` | `TA_IDENT`
    `static java.lang.String` | `TA_SOURCE`
    `static java.lang.String` | `TERM` Annotation identifier for the ITS Terminology data category.
    `static java.lang.String` | `TERM_CONFIDENCE` Term confidence: a double between 0.0 and 1.0.
    `static java.lang.String` | `TERM_INFO` Term information: a string.
    `static java.lang.String` | `TRANSLATE` Annotation identifier for the ITS Translate data category.
    `static java.lang.String` | `TRANSLATE_VALUE` Translate flag: a boolean.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericAnnotationType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERIC

          public static final java.lang.String GENERIC

      Label to use for a generic annotation set (e.g. on an inline code).
      See Also:
        Constant Field Values

    - #### REF_PREFIX

          public static final java.lang.String REF_PREFIX

      Prefix used to indicate a reference value.
      See Also:
        Constant Field Values

    - #### ANNOT

          public static final java.lang.String ANNOT

      Annotation identifier for the ITS annotators references.

      See http://www.w3.org/TR/its20/#its-tool-annotation for more information.

      See Also:
        Constant Field Values

    - #### ANNOT_VALUE

          public static final java.lang.String ANNOT_VALUE

      Annotators references: a string in the format of a space delimited pairs of data category identifier and IRI (separated by a character '|'). See http://www.w3.org/TR/its20/#its-tool-annotation for the definition.
      See Also:
        Constant Field Values

    - #### ANNOTATORREF

          public static final java.lang.String ANNOTATORREF

      A single annotator reference: a string IRI.

      Use the `ANNOT` annotation and its `ANNOT_VALUE` value for the list of annotators references.

      See Also:
        Constant Field Values

    - #### TRANSLATE

          public static final java.lang.String TRANSLATE

      Annotation identifier for the ITS Translate data category. This may be mapped to an inline code.

      Related field: `TRANSLATE_VALUE`.

      See Also:
        Constant Field Values

    - #### TRANSLATE_VALUE

          public static final java.lang.String TRANSLATE_VALUE

      Translate flag: a boolean. True to translate, false to not translate.
      See Also:
        Constant Field Values

    - #### LOCNOTE

          public static final java.lang.String LOCNOTE

      Annotation identifier for the ITS Localization Note data category.

      Related fields: `LOCNOTE_TYPE` and `LOCNOTE_VALUE`.

      See Also:
        Constant Field Values

    - #### LOCNOTE_VALUE

          public static final java.lang.String LOCNOTE_VALUE

      Localization note value: a string. A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### LOCNOTE_TYPE

          public static final java.lang.String LOCNOTE_TYPE

      Localization note type: a string "alert" or "description".
      See Also:
        Constant Field Values

    - #### TERM

          public static final java.lang.String TERM

      Annotation identifier for the ITS Terminology data category.

      Related fields: `TERM_CONFIDENCE`, `TERM_INFO`.

      See Also:
        Constant Field Values

    - #### TERM_INFO

          public static final java.lang.String TERM_INFO

      Term information: a string. A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### TERM_CONFIDENCE

          public static final java.lang.String TERM_CONFIDENCE

      Term confidence: a double between 0.0 and 1.0.
      See Also:
        Constant Field Values

    - #### LANG

          public static final java.lang.String LANG

      Annotation identifier for the Language Information data category.

      Related field: `LANG_VALUE`.

      See Also:
        Constant Field Values

    - #### LANG_VALUE

          public static final java.lang.String LANG_VALUE

      Language information: a string which is the language code.
      See Also:
        Constant Field Values

    - #### DOMAIN

          public static final java.lang.String DOMAIN

      Annotation identifier for the ITS Domain data category.

      Related field: `DOMAIN_VALUE`.

      See Also:
        Constant Field Values

    - #### DOMAIN_VALUE

          public static final java.lang.String DOMAIN_VALUE

      Domain value(s): a string in the format of a comma-separated list of values. See the definition at http://www.w3.org/TR/its20/#domain-implementation:
      See Also:
        Constant Field Values

    - #### TA

          public static final java.lang.String TA

      Annotation identifier for the ITS Text Analysis data category.

      Related fields: `TA_CLASS`, `TA_CONFIDENCE`, `TA_IDENT` and `TA_SOURCE`.

      See Also:
        Constant Field Values

    - #### TA_CLASS

          public static final java.lang.String TA_CLASS

      See Also:
        Constant Field Values

    - #### TA_SOURCE

          public static final java.lang.String TA_SOURCE

      See Also:
        Constant Field Values

    - #### TA_IDENT

          public static final java.lang.String TA_IDENT

      See Also:
        Constant Field Values

    - #### TA_CONFIDENCE

          public static final java.lang.String TA_CONFIDENCE

      Confidence: a double between 0 and 1.
      See Also:
        Constant Field Values

    - #### PROV

          public static final java.lang.String PROV

      Annotation identifier for the ITS Provenance data category.

      Related fields: `PROV_ORG`, `PROV_PERSON`, `PROV_TOOL`, `PROV_REVORG`, `PROV_REVPERSON`, `PROV_REVTOOL`, `PROV_PROVREF` and `PROV_RECSREF`.

      See Also:
        Constant Field Values

    - #### PROV_RECSREF

          public static final java.lang.String PROV_RECSREF

      Records reference: a IRI string.
      See Also:
        Constant Field Values

    - #### PROV_PERSON

          public static final java.lang.String PROV_PERSON

      Human translation provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### PROV_ORG

          public static final java.lang.String PROV_ORG

      Organizational translation provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### PROV_TOOL

          public static final java.lang.String PROV_TOOL

      Tool translation provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### PROV_REVPERSON

          public static final java.lang.String PROV_REVPERSON

      Human revision provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### PROV_REVORG

          public static final java.lang.String PROV_REVORG

      Organizational revision provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### PROV_REVTOOL

          public static final java.lang.String PROV_REVTOOL

      Tool revision provenance: A reference IRI if there is a `REF_PREFIX` prefix), a text otherwise.
      See Also:
        Constant Field Values

    - #### PROV_PROVREF

          public static final java.lang.String PROV_PROVREF

      Provenance reference: A IRI string pointing to an external provenance information set.
      See Also:
        Constant Field Values

    - #### EXTERNALRES

          public static final java.lang.String EXTERNALRES

      Annotation identifier for the ITS External resource data category.

      Related field: `EXTERNALRES_VALUE`.

      See Also:
        Constant Field Values

    - #### EXTERNALRES_VALUE

          public static final java.lang.String EXTERNALRES_VALUE

      Reference: a string IRI.
      See Also:
        Constant Field Values

    - #### PRESERVEWS

          public static final java.lang.String PRESERVEWS

      Annotation identifier for the Preserve Space data category.

      Related field: `PRESERVEWS_INFO`.

      See Also:
        Constant Field Values

    - #### PRESERVEWS_INFO

          public static final java.lang.String PRESERVEWS_INFO

      Preserve space: a string 'preserve' or 'default'.
      See Also:
        Constant Field Values

    - #### LQI

          public static final java.lang.String LQI

      Annotation identifier for the ITS Localization Quality Issue data category.

      Related fields: `LQI_COMMENT`, `LQI_ENABLED`, `LQI_ISSUESREF`, `LQI_PROFILEREF`, `LQI_SEVERITY` and `LQI_TYPE`.

      And also: `LQI_XCODES`, `LQI_XEND`, `LQI_XSEGID`, `LQI_XSTART`, `LQI_XTRGEND`, `LQI_XTRGSTART` and `LQI_XTYPE`.

      See Also:
        Constant Field Values

    - #### LQI_ISSUESREF

          public static final java.lang.String LQI_ISSUESREF

      Issues reference: a string IRI.
      See Also:
        Constant Field Values

    - #### LQI_TYPE

          public static final java.lang.String LQI_TYPE

      Issue type: a string (values limited to the set define in the table at http://www.w3.org/TR/its20/#lqissue-typevalues).
      See Also:
        Constant Field Values

    - #### LQI_COMMENT

          public static final java.lang.String LQI_COMMENT

      Issue comment: a string.
      See Also:
        Constant Field Values

    - #### LQI_SEVERITY

          public static final java.lang.String LQI_SEVERITY

      Severity: a double between 0.0 and 100.0
      See Also:
        Constant Field Values

    - #### LQI_PROFILEREF

          public static final java.lang.String LQI_PROFILEREF

      Profile reference: a string IRI.
      See Also:
        Constant Field Values

    - #### LQI_ENABLED

          public static final java.lang.String LQI_ENABLED

      Enabled flag: a boolean.
      See Also:
        Constant Field Values

    - #### LQI_XTYPE

          public static final java.lang.String LQI_XTYPE

      See Also:
        Constant Field Values

    - #### LQI_XSEGID

          public static final java.lang.String LQI_XSEGID

      See Also:
        Constant Field Values

    - #### LQI_XSTART

          public static final java.lang.String LQI_XSTART

      See Also:
        Constant Field Values

    - #### LQI_XEND

          public static final java.lang.String LQI_XEND

      See Also:
        Constant Field Values

    - #### LQI_XTRGSTART

          public static final java.lang.String LQI_XTRGSTART

      See Also:
        Constant Field Values

    - #### LQI_XTRGEND

          public static final java.lang.String LQI_XTRGEND

      See Also:
        Constant Field Values

    - #### LQI_XCODES

          public static final java.lang.String LQI_XCODES

      See Also:
        Constant Field Values

    - #### LQR

          public static final java.lang.String LQR

      Annotation identifier for the ITS Localization Quality Rating data category.

      Related fields: `LQR_PROFILEREF`, `LQR_SCORETHRESHOLD`, `LQR_SCORE`, `LQR_VOTETHRESHOLD` and "lqrVoteThreshold".

      See Also:
        Constant Field Values

    - #### LQR_SCORE

          public static final java.lang.String LQR_SCORE

      Score: a double between 0.0 and 100.0
      See Also:
        Constant Field Values

    - #### LQR_VOTE

          public static final java.lang.String LQR_VOTE

      Vote: a signed integer.
      See Also:
        Constant Field Values

    - #### LQR_SCORETHRESHOLD

          public static final java.lang.String LQR_SCORETHRESHOLD

      Score threshold: a double between 0.0 and 100.0
      See Also:
        Constant Field Values

    - #### LQR_VOTETHRESHOLD

          public static final java.lang.String LQR_VOTETHRESHOLD

      Vote threshold: a signed integer.
      See Also:
        Constant Field Values

    - #### LQR_PROFILEREF

          public static final java.lang.String LQR_PROFILEREF

      Profile reference: a string IRI.
      See Also:
        Constant Field Values

    - #### MTCONFIDENCE

          public static final java.lang.String MTCONFIDENCE

      Annotation identifier for the ITS MT Confidence data category.

      Related field: `MTCONFIDENCE_VALUE`.

      See Also:
        Constant Field Values

    - #### MTCONFIDENCE_VALUE

          public static final java.lang.String MTCONFIDENCE_VALUE

      MT confidence: a double between 0 and 1.
      See Also:
        Constant Field Values

    - #### ALLOWEDCHARS

          public static final java.lang.String ALLOWEDCHARS

      Annotation identifier for the ITS Allowed Characters data category.

      Related field: `ALLOWEDCHARS_VALUE`.

      See Also:
        Constant Field Values

    - #### ALLOWEDCHARS_VALUE

          public static final java.lang.String ALLOWEDCHARS_VALUE

      Allowed characters: a string that is a regular expression (restricted to a small sub-set common to several engines.).
      See Also:
        Constant Field Values

    - #### STORAGESIZE

          public static final java.lang.String STORAGESIZE

      Annotation identifier for the ITS Storage Size data category.

      Related fields: `STORAGESIZE_ENCODING`, `STORAGESIZE_LINEBREAK` and `STORAGESIZE_SIZE`.

      See Also:
        Constant Field Values

    - #### STORAGESIZE_SIZE

          public static final java.lang.String STORAGESIZE_SIZE

      Storage size: an unsigned integer.
      See Also:
        Constant Field Values

    - #### STORAGESIZE_ENCODING

          public static final java.lang.String STORAGESIZE_ENCODING

      Storage encoding: a string representing a IANA character set name.
      See Also:
        Constant Field Values

    - #### STORAGESIZE_LINEBREAK

          public static final java.lang.String STORAGESIZE_LINEBREAK

      Linebreak type: a string "cr", "lf" or "crlf".
      See Also:
        Constant Field Values

    - #### LOCFILTER

          public static final java.lang.String LOCFILTER

      Annotation identifier for the ITS Locale Filter data category.

      This is represented by a unique value, if the first character is '!' the type is 'exclude' otherwise it is 'include', the list comes after.

      Related field: `LOCFILTER_VALUE`.

      See Also:
        Constant Field Values

    - #### LOCFILTER_VALUE

          public static final java.lang.String LOCFILTER_VALUE

      Locale filter list: a string in the format of an optional '!' followed by a comma separated list of locale BCP47 codes.

      If the first character of this string is '!' the type is 'exclude' otherwise it is 'include'. The syntax of the list is the same as the one defined for "extended language ranges" in http://www.rfc-editor.org/rfc/bcp/bcp47.txt.

      See Also:
        Constant Field Values

    - #### DISPLAYTEXT

          public static final java.lang.String DISPLAYTEXT

      Annotation identifier for display text for inline code (hint displayed to end-user).
      See Also:
        Constant Field Values

    - #### DISPLAYTEXT_VALUE

          public static final java.lang.String DISPLAYTEXT_VALUE

      Display text: a string.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GenericAnnotationType

          public GenericAnnotationType()